Uploaded image for project: 'Appcelerator - INBOX'
  1. Appcelerator - INBOX
  2. AC-3512

"Failed to run dexer" error for SDK more recent than 3.5.1

    Details

    • Type: Bug
    • Status: Closed
    • Resolution: Needs more info
    • Affects Version/s: Appcelerator Studio 4.3.0, Appcelerator Studio 4.3.1, Appcelerator Studio 4.3.2, Appcelerator Studio 4.4.0, Appcelerator Studio 4.4.1, Appcelerator Studio 4.4.2, Appcelerator Studio 4.5.0
    • Component/s: Titanium SDK & CLI
    • Labels:
    • Environment:

      MAC OSX 10.10.5
      Android SDK 6.0
      Titanium Sdk 5.2.2
      Ti.Cloud module 3.2.10
      facebook module 5.0.0
      ti.imagefactory version=2.2.1
      fh.imagefactory version=1.1

      Description

      I can't generate ipa file for my android app with titanium sdk more recent than 3.5.1.
      For example if I try with titanium sdk 5.2.2 GA (or 4.0.0) I have the following error:
      [ERROR] : Failed to run dexer:
      [ERROR] :
      [ERROR] : Error: Unable to access jarfile null
      If I try titanium sdk 3.5.1 GA I'm able to generate ipa file, but of course it is not the best solution because the app doesn't work well with such an old sdk version.
      I've tried to uninstall and re-install Titanium Appcelerator.
      I've also tried to re-install Android SDK.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                shossain Shak Hossain (Inactive)
                Reporter:
                freedevcom Andrea
              • Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Git Integration